<?php
require('../dbconnect.php');

session_start();

$n = $_SESSION['plist']['selected'] ;

if (empty($_POST['title'])) {
	$_POST['title'] = $_SESSION['plist'][$n]['title'];
}
if (empty($_POST['keyword0'])) {
	$_POST['keyword0'] = $_SESSION['plist'][$n]['keyword0'];
}
if (empty($_POST['keyword1'])) {
	$_POST['keyword1'] = $_SESSION['plist'][$n]['keyword1'];
}
if (empty($_POST['keyword2'])) {
	$_POST['keyword2'] = $_SESSION['plist'][$n]['keyword2'];
}
if (empty($_POST['comment'])) {
	$_POST['comment'] = $_SESSION['plist'][$n]['comment'];
}

if (!empty($_POST)) {
	
	// エラー項目の確認
	if ($_POST['title'] == '') {
		$error['title'] = 'blank';
	}
	if ($_POST['keyword0'] == '') {
		$error['keyword0'] = 'blank';
	}
	if ($_POST['comment'] == '') {
		$error['comment'] = 'blank';
	}
	if (mb_strlen($_POST['comment'], 'UTF-8') > 400) {
		$error['comment'] = 'max';
	}
		//echo var_dump($_POST);

	// editcheck.phpへ受け渡し
	if (empty($error) && isset($_POST['submit0'])) {
		$_SESSION['paper_edit'] = $_POST;
		//echo var_dump($_SESSION['paper_edit']);
		header('Location: editcheck.php');
		exit();
	}
}

// 書き直し
if ($_REQUEST['action'] == 'rewrite') {
	$_POST = $_SESSION['paper_edit'];
	$error['rewite'] = true;
}

?>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="UTF-8" />
<link rel="stylesheet" type="text/css" href="../style.css" />
<title>JAEIS第8回全国大会 発表情報の編集</title>
</head>

<body>
<div id="wrap">
  <div id="head2">
    <h1>JAEIS第8回全国大会 発表情報の編集</h1>
  </div>

  <div id="content">
  <p><a href="upload.php">発表情報ページへ戻る</a><hr /></p>
  <p>発表情報の中で、下記の項目を変更可能です。
	<hr />
</p>
  <form action="" method="post" enctype="multipart/form-data">

	<dl>

	<dt>発表題目<span class="required">必須</span></dt>
	<dd>
        <input type="text" name="title" size="70" maxlength="255" value="<?php echo htmlspecialchars($_POST['title'], ENT_QUOTES, 'UTF-8'); ?>" />
        <?php if ($error['title'] == 'blank'): ?>
	<p class="error">* 発表題目を入力してください</p>
	<?php endif; ?>
 	</dd>

	<dt>キーワード（1つ以上3つ以内）<span class="required">必須</span></dt>
	<dd>
        <input type="text" name="keyword0" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword0'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <input type="text" name="keyword1" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword1'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <input type="text" name="keyword2" size="30" maxlength="255" value="<?php echo htmlspecialchars($_POST['keyword2'], ENT_QUOTES, 'UTF-8'); ?>" /><br />
        <?php if ($error['keyword0'] == 'blank'): ?>
	<p class="error">* キーワードは1つ以上入力してください</p>
	<?php endif; ?>
 	</dd>

	<dt>要旨（全角400字以内）<span class="required">必須</span></dt>
	<dd>
	<textarea name="comment" cols="80" rows="10"><?php echo htmlspecialchars($_POST['comment'], ENT_QUOTES, 'UTF-8'); ?></textarea>
        <?php if ($error['comment'] == 'blank'): ?>
	<p class="error">* 要旨を入力してください</p>
	<?php endif; ?>
        <?php if ($error['comment'] == 'max'): ?>
	<p class="error">* 要旨の文字数は400字以内でお願いします</p>
	<?php endif; ?>
	</dd>

	</dl>
	<div><input type="submit" name="submit0" value="変更内容を確認する" /></div>
  </form>


  </div>


  <div id="foot">
   <p>(C) 日本情報科教育学会第8回全国大会実行委員会</p>
  </div>

</div>

</body>
</html>
